--------------------------------------------------------
--  File created - czwartek-października-22-2015   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table TAX_RATES
--------------------------------------------------------

  CREATE TABLE "INVOICE"."TAX_RATES" 
   (	"CODE" VARCHAR2(50 BYTE), 
	"TAX_VALUE" NUMBER, 
	"INSERT_TIME" DATE, 
	"INSERT_USER" VARCHAR2(50 BYTE), 
	"UPDATE_TIME" DATE, 
	"UPDATE_USER" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table PRODUCTS
--------------------------------------------------------

  CREATE TABLE "INVOICE"."PRODUCTS" 
   (	"CODE" VARCHAR2(50 BYTE), 
	"NAME" VARCHAR2(127 CHAR), 
	"NET_PRICE" NUMBER, 
	"TAX_RATE_CODE" VARCHAR2(50 BYTE), 
	"UNIT_CODE" VARCHAR2(50 BYTE), 
	"INSERT_TIME" DATE, 
	"INSERT_USER" VARCHAR2(50 BYTE), 
	"UPDATE_TIME" DATE, 
	"UPDATE_USER" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table LEXICON
--------------------------------------------------------

  CREATE TABLE "INVOICE"."LEXICON" 
   (	"CODE" VARCHAR2(50 BYTE), 
	"NAME" VARCHAR2(100 BYTE), 
	"SHORT_NAME" VARCHAR2(10 BYTE), 
	"INSERT_TIME" DATE, 
	"INSERT_USER" VARCHAR2(50 BYTE), 
	"UPDATE_TIME" DATE, 
	"UPDATE_USER" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table INVOICES
--------------------------------------------------------

  CREATE TABLE "INVOICE"."INVOICES" 
   (	"ID" NUMBER, 
	"DOC_NUMBER" VARCHAR2(50 BYTE), 
	"ISSUE_DATE" DATE, 
	"SALE_DATE" DATE, 
	"PAYMENT_TYPE" VARCHAR2(50 BYTE), 
	"DUE_DATE" DATE, 
	"TRANSFER_DAYS" NUMBER, 
	"ESTIM_PAYM_DATE" DATE, 
	"BANK_ACCOUNT" VARCHAR2(100 BYTE), 
	"BANK_NAME" VARCHAR2(100 BYTE), 
	"CUST_CODE" VARCHAR2(50 BYTE), 
	"COMP_CODE" VARCHAR2(50 BYTE), 
	"INSERT_TIME" DATE, 
	"INSERT_USER" VARCHAR2(50 BYTE), 
	"UPDATE_TIME" DATE, 
	"UPDATE_USER" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table INVOICE_POSITIONS
--------------------------------------------------------

  CREATE TABLE "INVOICE"."INVOICE_POSITIONS" 
   (	"ID" NUMBER, 
	"INVOICE_ID" NUMBER, 
	"PRODUCT_CODE" VARCHAR2(50 BYTE), 
	"AMOUNT" NUMBER, 
	"UNIT_CODE" VARCHAR2(50 BYTE), 
	"NET_PRICE" NUMBER(10,2), 
	"GROSS_PRICE" NUMBER(10,2), 
	"NET_VALUE" NUMBER(10,2), 
	"GROSS_VALUE" NUMBER(10,2), 
	"TAX_RATE_CODE" VARCHAR2(50 BYTE), 
	"TAX_VALUE" NUMBER(10,2), 
	"INSERT_TIME" DATE DEFAULT sysdate, 
	"INSERT_USER" VARCHAR2(50 BYTE), 
	"UPDATE_TIME" DATE DEFAULT sysdate, 
	"UPDATE_USER" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table CUSTOMERS
--------------------------------------------------------

  CREATE TABLE "INVOICE"."CUSTOMERS" 
   (	"CODE" VARCHAR2(50 BYTE), 
	"NAME" VARCHAR2(100 BYTE), 
	"TIN" VARCHAR2(20 BYTE), 
	"POST_CODE" VARCHAR2(20 BYTE), 
	"CITY" VARCHAR2(100 BYTE), 
	"ADDRESS" VARCHAR2(100 BYTE), 
	"INSERT_TIME" DATE, 
	"INSERT_USER" VARCHAR2(50 BYTE), 
	"UPDATE_TIME" DATE, 
	"UPDATE_USER" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table COMPANIES
--------------------------------------------------------

  CREATE TABLE "INVOICE"."COMPANIES" 
   (	"CODE" VARCHAR2(50 BYTE), 
	"NAME" VARCHAR2(100 BYTE), 
	"TIN" VARCHAR2(20 BYTE), 
	"POST_CODE" VARCHAR2(20 BYTE), 
	"CITY" VARCHAR2(100 BYTE), 
	"ADDRESS" VARCHAR2(100 BYTE), 
	"INSERT_TIME" DATE, 
	"INSERT_USER" VARCHAR2(50 BYTE), 
	"UPDATE_TIME" DATE, 
	"UPDATE_USER" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
REM INSERTING into INVOICE.TAX_RATES
SET DEFINE OFF;
Insert into INVOICE.TAX_RATES (CODE,TAX_VALUE,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('TAX_8','0,08',to_date('2015-10-15 12:56:02','YYYY-MM-DD HH24:MI:SS'),'INVOICE',null,null);
Insert into INVOICE.TAX_RATES (CODE,TAX_VALUE,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('TAX_23','0,23',to_date('2015-10-15 12:56:21','YYYY-MM-DD HH24:MI:SS'),'INVOICE',null,null);
REM INSERTING into INVOICE.PRODUCTS
SET DEFINE OFF;
Insert into INVOICE.PRODUCTS (CODE,NAME,NET_PRICE,TAX_RATE_CODE,UNIT_CODE,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('BANANAS','Bananas','0,99','TAX_8','PIECES',to_date('2015-10-15 12:17:35','YYYY-MM-DD HH24:MI:SS'),'INVOICE',null,null);
Insert into INVOICE.PRODUCTS (CODE,NAME,NET_PRICE,TAX_RATE_CODE,UNIT_CODE,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('APPLES','Apples','0,59','TAX_8','PIECES',to_date('2015-10-15 10:31:22','YYYY-MM-DD HH24:MI:SS'),'INVOICE',null,null);
Insert into INVOICE.PRODUCTS (CODE,NAME,NET_PRICE,TAX_RATE_CODE,UNIT_CODE,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('CRANBERRIES','Cranberries','1,49','TAX_23','WEIGHT',to_date('2015-10-16 12:31:14','YYYY-MM-DD HH24:MI:SS'),'INVOICE',null,null);
REM INSERTING into INVOICE.LEXICON
SET DEFINE OFF;
Insert into INVOICE.LEXICON (CODE,NAME,SHORT_NAME,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('PIECES','pieces','qua.',to_date('2015-10-15 12:53:20','YYYY-MM-DD HH24:MI:SS'),'INVOICE',null,null);
Insert into INVOICE.LEXICON (CODE,NAME,SHORT_NAME,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('WEIGHT','weight','kg.',to_date('2015-10-16 12:31:47','YYYY-MM-DD HH24:MI:SS'),'INVOICE',null,null);
REM INSERTING into INVOICE.INVOICES
SET DEFINE OFF;
Insert into INVOICE.INVOICES (ID,DOC_NUMBER,ISSUE_DATE,SALE_DATE,PAYMENT_TYPE,DUE_DATE,TRANSFER_DAYS,ESTIM_PAYM_DATE,BANK_ACCOUNT,BANK_NAME,CUST_CODE,COMP_CODE,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('1','FV0151015',to_date('2015-10-15 12:12:21','YYYY-MM-DD HH24:MI:SS'),to_date('2015-10-15 12:12:21','YYYY-MM-DD HH24:MI:SS'),'CASH',to_date('2015-10-15 12:12:21','YYYY-MM-DD HH24:MI:SS'),'14',to_date('2015-10-29 12:12:21','YYYY-MM-DD HH24:MI:SS'),'PL03259020970857','AnyName BANK','OLDSTUFF.SPZOO','PRETIUS',to_date('2015-10-15 12:12:21','YYYY-MM-DD HH24:MI:SS'),'INVOICE',to_date('2015-10-15 12:40:26','YYYY-MM-DD HH24:MI:SS'),'INVOICE');
REM INSERTING into INVOICE.INVOICE_POSITIONS
SET DEFINE OFF;
Insert into INVOICE.INVOICE_POSITIONS (ID,INVOICE_ID,PRODUCT_CODE,AMOUNT,UNIT_CODE,NET_PRICE,GROSS_PRICE,NET_VALUE,GROSS_VALUE,TAX_RATE_CODE,TAX_VALUE,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('100','1','BANANAS','21','PIECES','0,99','1,07','20,79','22,45','TAX_8','1,66',to_date('2015-10-15 13:06:30','YYYY-MM-DD HH24:MI:SS'),'INVOICE',to_date('2015-10-15 15:06:37','YYYY-MM-DD HH24:MI:SS'),'INVOICE');
Insert into INVOICE.INVOICE_POSITIONS (ID,INVOICE_ID,PRODUCT_CODE,AMOUNT,UNIT_CODE,NET_PRICE,GROSS_PRICE,NET_VALUE,GROSS_VALUE,TAX_RATE_CODE,TAX_VALUE,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('101','1','APPLES','7','PIECES','0,6','0,65','4,2','4,55','TAX_8','0,34',to_date('2015-10-15 13:09:32','YYYY-MM-DD HH24:MI:SS'),'INVOICE',to_date('2015-10-15 15:09:40','YYYY-MM-DD HH24:MI:SS'),'INVOICE');
Insert into INVOICE.INVOICE_POSITIONS (ID,INVOICE_ID,PRODUCT_CODE,AMOUNT,UNIT_CODE,NET_PRICE,GROSS_PRICE,NET_VALUE,GROSS_VALUE,TAX_RATE_CODE,TAX_VALUE,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('102','1','CRANBERRIES','2','WEIGHT','1,49','1,83','2,98','3,66','TAX_23','0,69',to_date('2015-10-16 12:33:23','YYYY-MM-DD HH24:MI:SS'),'IINVOICE',to_date('2015-10-16 14:33:26','YYYY-MM-DD HH24:MI:SS'),null);
REM INSERTING into INVOICE.CUSTOMERS
SET DEFINE OFF;
Insert into INVOICE.CUSTOMERS (CODE,NAME,TIN,POST_CODE,CITY,ADDRESS,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('OLDSTUFF.SPZOO','Old Stuff Sp. z o.o.','PL1232651213','01-042','Warsaw','Monkey Street 69',to_date('2015-10-15 12:05:40','YYYY-MM-DD HH24:MI:SS'),'INVOICE',null,null);
REM INSERTING into INVOICE.COMPANIES
SET DEFINE OFF;
Insert into INVOICE.COMPANIES (CODE,NAME,TIN,POST_CODE,CITY,ADDRESS,INSERT_TIME,INSERT_USER,UPDATE_TIME,UPDATE_USER) values ('PRETIUS','Pretius s.k. sp. z o.o.','5272657685','01-042','Warsaw','Okopowa 56/1',to_date('2015-10-16 13:59:21','YYYY-MM-DD HH24:MI:SS'),'INVOICE',null,null);
--------------------------------------------------------
--  DDL for Index SYS_C0016367
--------------------------------------------------------

  CREATE UNIQUE INDEX "INVOICE"."SYS_C0016367" ON "INVOICE"."TAX_RATES" ("CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index SYS_C0016325
--------------------------------------------------------

  CREATE UNIQUE INDEX "INVOICE"."SYS_C0016325" ON "INVOICE"."PRODUCTS" ("CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index SYS_C0016361
--------------------------------------------------------

  CREATE UNIQUE INDEX "INVOICE"."SYS_C0016361" ON "INVOICE"."LEXICON" ("CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index SYS_C0016319
--------------------------------------------------------

  CREATE UNIQUE INDEX "INVOICE"."SYS_C0016319" ON "INVOICE"."INVOICES" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index SYS_C0016376
--------------------------------------------------------

  CREATE UNIQUE INDEX "INVOICE"."SYS_C0016376" ON "INVOICE"."INVOICE_POSITIONS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index SYS_C0016314
--------------------------------------------------------

  CREATE UNIQUE INDEX "INVOICE"."SYS_C0016314" ON "INVOICE"."CUSTOMERS" ("CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Index SYS_C0016311
--------------------------------------------------------

  CREATE UNIQUE INDEX "INVOICE"."SYS_C0016311" ON "INVOICE"."COMPANIES" ("CODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  Constraints for Table TAX_RATES
--------------------------------------------------------

  ALTER TABLE "INVOICE"."TAX_RATES" ADD PRIMARY KEY ("CODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "INVOICE"."TAX_RATES" MODIFY ("INSERT_USER" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."TAX_RATES" MODIFY ("INSERT_TIME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PRODUCTS
--------------------------------------------------------

  ALTER TABLE "INVOICE"."PRODUCTS" ADD PRIMARY KEY ("CODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "INVOICE"."PRODUCTS" MODIFY ("INSERT_USER" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."PRODUCTS" MODIFY ("INSERT_TIME" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."PRODUCTS" MODIFY ("NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table LEXICON
--------------------------------------------------------

  ALTER TABLE "INVOICE"."LEXICON" ADD PRIMARY KEY ("CODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "INVOICE"."LEXICON" MODIFY ("INSERT_USER" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."LEXICON" MODIFY ("INSERT_TIME" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."LEXICON" MODIFY ("SHORT_NAME" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."LEXICON" MODIFY ("NAME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table INVOICES
--------------------------------------------------------

  ALTER TABLE "INVOICE"."INVOICES" ADD PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "INVOICE"."INVOICES" MODIFY ("INSERT_USER" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."INVOICES" MODIFY ("INSERT_TIME" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."INVOICES" MODIFY ("COMP_CODE" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."INVOICES" MODIFY ("CUST_CODE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table INVOICE_POSITIONS
--------------------------------------------------------

  ALTER TABLE "INVOICE"."INVOICE_POSITIONS" ADD PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "INVOICE"."INVOICE_POSITIONS" MODIFY ("INSERT_USER" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."INVOICE_POSITIONS" MODIFY ("INSERT_TIME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table CUSTOMERS
--------------------------------------------------------

  ALTER TABLE "INVOICE"."CUSTOMERS" ADD PRIMARY KEY ("CODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "INVOICE"."CUSTOMERS" MODIFY ("INSERT_USER" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."CUSTOMERS" MODIFY ("INSERT_TIME" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table COMPANIES
--------------------------------------------------------

  ALTER TABLE "INVOICE"."COMPANIES" ADD PRIMARY KEY ("CODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "INVOICE"."COMPANIES" MODIFY ("INSERT_USER" NOT NULL ENABLE);
  ALTER TABLE "INVOICE"."COMPANIES" MODIFY ("INSERT_TIME" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table INVOICES
--------------------------------------------------------

  ALTER TABLE "INVOICE"."INVOICES" ADD CONSTRAINT "FK_COMP_CODE" FOREIGN KEY ("COMP_CODE")
	  REFERENCES "INVOICE"."COMPANIES" ("CODE") ENABLE;
  ALTER TABLE "INVOICE"."INVOICES" ADD CONSTRAINT "FK_CUST_CODE" FOREIGN KEY ("CUST_CODE")
	  REFERENCES "INVOICE"."CUSTOMERS" ("CODE") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table INVOICE_POSITIONS
--------------------------------------------------------

  ALTER TABLE "INVOICE"."INVOICE_POSITIONS" ADD CONSTRAINT "FK_INVOICE_ID" FOREIGN KEY ("INVOICE_ID")
	  REFERENCES "INVOICE"."INVOICES" ("ID") ENABLE;
  ALTER TABLE "INVOICE"."INVOICE_POSITIONS" ADD CONSTRAINT "FK_PRODUCT_CODE" FOREIGN KEY ("PRODUCT_CODE")
	  REFERENCES "INVOICE"."PRODUCTS" ("CODE") ENABLE;
  ALTER TABLE "INVOICE"."INVOICE_POSITIONS" ADD CONSTRAINT "FK_TAX_CODE" FOREIGN KEY ("TAX_RATE_CODE")
	  REFERENCES "INVOICE"."TAX_RATES" ("CODE") ENABLE;
  ALTER TABLE "INVOICE"."INVOICE_POSITIONS" ADD CONSTRAINT "FK_UNIT_CODE" FOREIGN KEY ("UNIT_CODE")
	  REFERENCES "INVOICE"."LEXICON" ("CODE") ENABLE;
